<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>155969</bug_id>
          
          <creation_ts>2006-11-22 12:09 0000</creation_ts>
          <short_desc>dev-java/swt/swt-3.2.1 support XULRunner backend for SWT Browser</short_desc>
          <delta_ts>2007-04-27 22:18:01 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>enhancement</bug_severity>
          <target_milestone>---</target_milestone>
          <dependson>169456</dependson>
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>farcaller@gmail.com</reporter>
          <assigned_to>java@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>farcaller@gmail.com</who>
            <bug_when>2006-11-22 12:09:31 0000</bug_when>
            <thetext>I&apos;ve tested eclipse 3.2.1 (not portage install) and swt 3.2.1 (portage). Both work correctly with xulrunner 1.8.0.4

swt ebuild patch:
--- /usr/portage/dev-java/swt/swt-3.2.1.ebuild  2006-11-20 03:06:10.000000000 +0200
+++ swt-3.2.1.ebuild    2006-11-22 21:52:04.000000000 +0200
@@ -16,7 +16,7 @@
 LICENSE=&quot;CPL-1.0 LGPL-2.1 MPL-1.1&quot;
 KEYWORDS=&quot;~amd64 ~ppc ~x86&quot;

-IUSE=&quot;cairo gnome seamonkey opengl&quot;
+IUSE=&quot;cairo gnome seamonkey opengl xulrunner&quot;
 COMMON=&quot;&gt;=dev-libs/glib-2.6
                &gt;=x11-libs/gtk+-2.6.8
                &gt;=dev-libs/atk-1.10.2
@@ -26,10 +26,16 @@
                                        =gnome-base/gnome-vfs-2*
                                        =gnome-base/libgnomeui-2*
                                )
-               seamonkey? (
-                                       &gt;=www-client/seamonkey-1.0.2
-                                       &gt;=dev-libs/nspr-4.6.2
-                               )
+               || (
+                       seamonkey? (
+                                               &gt;=www-client/seamonkey-1.0.2
+                                               &gt;=dev-libs/nspr-4.6.2
+                                       )
+                       xulrunner? (
+                                               &gt;=net-libs/xulrunner-1.8.0.4
+                                               &gt;=dev-libs/nspr-4.6.2
+                                       )
+                  )
                opengl? (
                                        virtual/opengl
                                        virtual/glu
@@ -146,6 +152,19 @@
                ${make} make_mozilla || die &quot;Failed to build Mozilla support&quot;
        fi

+       if use xulrunner ; then
+               export GECKO_SDK=&quot;$(pkg-config xulrunner-xpcom --variable=libdir)&quot;
+               export GECKO_INCLUDES=&quot;-I/usr/$(get_libdir)/xulrunner/include/xpcom \
+                                                               -I/usr/include/nspr \
+                                                               -I/usr/$(get_libdir)/xulrunner/include/embed_base \
+                                                               -I/usr/$(get_libdir)/xulrunner/include/string \
+                                                               -I/usr/$(get_libdir)/xulrunner/include&quot;
+               export GECKO_LIBS=&quot;-L${GECKO_SDK} -lgtkembedmoz&quot;
+
+               einfo &quot;Building the Mozilla component&quot;
+               ${make} make_mozilla || die &quot;Failed to build Mozilla support&quot;
+       fi
+
        if use cairo ; then
                einfo &quot;Building CAIRO support&quot;
                ${make} make_cairo || die &quot;Unable to build CAIRO support&quot;

I&apos;m not sure if xulrunner really requires nspr, also it requires -I/usr/$(get_libdir)/xulrunner/include to be added (everything other is the same as with seamonkey)</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2006-11-22 13:23:11 0000</bug_when>
            <thetext>Please, don&apos;t inline patches, it kills formatting. Attach them.
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>betelgeuse@gentoo.org</who>
            <bug_when>2007-03-05 14:21:50 0000</bug_when>
            <thetext>dev-java/swt-3.2.2 can now be built against xulrunner. Let&apos;s see if it works on other arches than x86 in bug #169456. </thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>betelgeuse@gentoo.org</who>
            <bug_when>2007-04-27 22:18:01 0000</bug_when>
            <thetext>xulrunner support is there so closing. Please open a new bug if you have issues with it.</thetext>
          </long_desc>
      
    </bug>

</bugzilla>